IFAPI_Entity_Delete Struct Reference

`#include <fapi_int.h>`

## Data Fields

bool | is_key
bool | is_persistent_key
ESYS_TR | new_object_handle
TPM2_HANDLE | permanentHandle
IFAPI_OBJECT | auth_object
ESYS_TR | auth_index
char * | path
IFAPI_OBJECT | object
char ** | pathlist
size_t | numPaths
size_t | path_idx

## Detailed Description

The data structure holding internal state of entity delete.

## Field Documentation

## auth_index

ESYS_TR auth_index

The ESAPI handle of the nv authorization object

## auth_object

IFAPI_OBJECT auth_object

Object used for authentication

## is_key

bool is_key

Entity to be deleted is a key

## is_persistent_key

bool is_persistent_key

Entity to be deleted is a key

## numPaths

size_t numPaths

Size of array with the object files to be deleted

## object

IFAPI_OBJECT object

Deserialized object

## path

char* path

The name of the file to be deleted

## path_idx

size_t path_idx

Index of array with the object files to be deleted

## pathlist

char** pathlist

The array with the object files to be deleted

## permanentHandle

TPM2_HANDLE permanentHandle

The TPM permanent handle

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h